[5.0]
Watch the launch event (https://youtu.be/kRj7pR4OkQA) to learn more about Ultimaker Cura 5.0.

* New slicing engine
Following special beta releases to test the Arachne engine, we are pleased to announce our new slicing engine is here in Ultimaker Cura! This all-new engine uses variable line widths when preparing files for printing, meaning you can now print thin and intricate parts more accurately and with greater strength. 

* Renewed the Ultimaker Cura Marketplace
We have streamlined the workflow for accessing the Ultimaker Marketplace inside of Ultimaker Cura. The UI has been improved and it’s now easier and faster to find and install plugins and material profiles.

* Improved print profiles for Ultimaker printers
The new slicing engine in Ultimaker Cura 5.0 has helped us to improve our print profiles. This means that users of Ultimaker printers can achieve speed increases of up to 20%.

* Upgrade from Qt5 to Qt6
Ultimaker Cura 5.0 is now compatible with Apple M1.

* Other new features and improvements:
- New Cura icon
- New Cura splash screen
- Updated the digital build plates for Ultimaker printers
- Introduce Minimum Wall Line Width, contributed by BagelOrb
- Settings for metal printing implemented
- Shrinkage compensation is now available for PLA, tPLA and PETG
- Improved default Line Widths for Spiralize
- Decrease resolution to remove some buffer underruns
- Incomplete languages are now shown in the language drop-down menu
- Improved the visibility of the checkboxes

* Bug fixes:
- Added the Scale Fan Speed From 0 to 1 setting for printers that interpreted fan speed as percentages
- Fixed a bug with extra travel moves increased the printing time, contributed by BagelOrb
- Fixed a bug where Monotonic Ironing breaks Ironing, contributed by BagelOrb
- Changed the priority of CuraEngine
- Fixed a bug where increasing Filter distances creates extremely wide lines, contributed by BagelOrb
- Fixed double scroll bar, contributed by fieldOfView
- Fixed a bug where maximum resolution/deviation was not applied to surface mode, contributed by BagelOrb
- Fixed a bug where the seam placement was uneven
- Fixed a bug where Top Surface Skin Layers didn't work
- Fixed a bug where Speed in the flow setting were not respected
- Fixed a bug with unnecessary retracted travel moves
- Fixed a bug where the Ironing Inset didn't work
- Fixed a bug where Support Layers were missing
- Fixed a crash if Randomize Infill Start was used
- Fixed a bug where Combing was in the wrong part with dual extrusion
- Fixed a crash with Bridging and Top Surface Skin Layers
- Fixed a bug where modifier meshes didn't work in one-at-a-time mode
- Fixed a bug where Tree Support Branches where not being generated
- Fixed a bug where less support was generated
- Changed the possibility for 100% Infill Bottom Layer for Spiralize, contributed by BagelOrb
- Fixed disallowed areas for Brim gap, contributed by BagelOrb

* Bug fixes after the 5.0 beta:
- Fixed a bug where Retraction Distance couldn't have small values
- Fixed a bug where there were duplicated themes
- Fixed a bug where there were scrollbars showing on tooltips
- Fixed a bug where drag and drop was not working on the first run of Cura
- Fixed a bug where Infill Percentages are not lined up correctly in Recommended mode
- Fixed a bug where it wasn't clear if the textfield was active
- Fixed a bug where highlighted text in text field is unreadable
- Fixed missing icons, contributed by fieldOfView
- Fixed a bug where scrolling through long material list was not possible
- Fixed a bug where multiply was not possible, contributed by fieldOfView
- Fixed a bug where micro segments are causing blobs
- Fixed a bug where there was over extrusion when printing with gradual infill
- Fixed a bug where error values could slice 
- Fixed a bug where the CPU was high when Cura was idle
- Fixed a bug where an existing gcode file was overwritten when you select no to overwrite
- Fixed a crash when selecting extruders
- Fixed a bug where exporting profiles didn't work
- Fixed a slicing error with certain infill patterns
- Fixed a bug where printing via USB stops during the print
- Fixed a bug where the toolgrips where missing, contributed by fieldOfView
- Fixed a bug where the print values didn't save when closing the page, contributed by fieldOfView
- Fixed the width of a Menu to fit the widest MenuItem, contributed by fieldOfView
- Fixed a bug where Use Single Instance of Cura in Preferences crashes upon restart
- Fixed a bug where travels would go through the model with printing PVA
- Fixed a bug where Concentric ironing was affecting the print quality		
- Fixed a bug where there were missing infill layers
- Fixed AppRun permissions, contributed by probonopd

* Printer definitions, profiles and materials:
- Added Atom 3 and Atom 3 Lite printer definitions, contributed by Daniel-Kurth
- Added Layer One Black PLA, Dark Grey PLA and White PLA, contributed by Daniel-Kurth 
- Added FLSUN Q5 printer definition, contributed by kreuzhofer
- Added Creatlity CR100 printer definition, contributed by bodyboarder2528
- Added Mixware Hyper-S printer definition, contributed by mixware011
- Added Creality Sermoon D1 printer definition, contributed by felixstif
- Added Volumic SH65, Stream30Pro MK3 and Stream30Ultra SC2 printer definitions, contributed by VOLUMIC
- Updated Eryone Thinker and ER20 profiles, contributed by Eryone
- Updated Atom 2 profile, contributed by lin-ycv
- Added Hellbot Hidra and Magna series printer definitions, contributed by DevelopmentHellbot
- Updated Snapmaker 2 End-Gcode, contributed by Rolzad73
- Updated the Tinyboy Fabricator printer definitions, contributed by reibuehl
- Updated the Creality Ender 5 printer profile, contributed by Rakhmanov
														  
* Community translations:
- Updated the Brazilian Portuguese translation, contributed by Patola
- Updated the Czech translation, contributed by sustmi
- Updated some of the Simplified Chinese translation, contributed by iBral

From version 5.0 onwards - Ultimaker Cura is only supported on operating systems actively maintained by their software manufacturer or community. This means Windows 7 and MacOS 10.14 will no longer be supported. 
Ubuntu 18.04 is also no longer supported because of the update to Qt6.

[4.13.1]
* Bug fixes 
- Fixed a bug where tree support could go through the model
- Fixed a bug where there were incomplete layers in surface mode 

[4.13.0]
For an overview of the new features in Cura 4.13, please watch our video (https://youtu.be/chvAuI6Eqto).

* Sync material profiles 
With Ultimaker Cura 4.13, we give you access to a seamless material experience for Ultimaker Material Alliance materials – with the ease of use you’ve come to expect from Ultimaker materials. You can easily synchronize your Material Alliance profiles with your S-line Ultimaker hardware, at the click of a button. 

* New print profile
A new print profile with 0.3mm layer height for PLA Tough PLA, PVA and BAM for Ultimaker S-line printers

* 3MF thumbnail
Show the model in the thumbnail of a .3mf file, contributed by fieldOfView

* Infill density
When printing with a 100% infill the infill pattern will change to ZigZag for all Ultimaker print profiles

* User login authentication
We’ve streamlined the user login authentication by removing any restrictions, especially for strict enterprise-level IT requirements. 

* Other new features and improvements:
- Improved TPU: top layers have large bridge distance 
- Add warning icon to show which extruder is causing the configuration to be 'Not Supported', contributed by fieldOfView
- Show what's new pages with every Cura build
- Speed up loading of settings list
- Re-use vertex buffer objects in rendering
- Add Build Volume Temperature value to ChangeAtZ, contributed by legend069
- Allow plugins to have multiple views, contributed by Tyronnosaurus
- Reduced top/bottom speed for TPU
- Increased lined width for 0.3mm layer height profiles
- Improved logging to allow debugging in early start-up process

* Bug fixes:
- Fixed a bug with surface mode will not print all layers
- Fixed a bug where maximum retraction could cause a crash
- Reduced flow for 100% density parts
- Fixed a bug in Surface Mode where small line-segments were created
- Changed the Russian translation for 'nozzle', contributed by mlapkin
- Fixed a visualization bug where layer lines were rendered in weird directions
- Fixed a crash when receiving incomplete cloud API responses
- Add SET_RPATH option to CMake, contributed by boomanaiden154
- Fixed initial layer bed and print head temperature for Snapmaker profile, contributed by prueker
- Fixed shader compilation on some GPUs, contributed by fieldOfView
- Fixed a bug where Cross 3D infill pattern vertical angles varies wildly
- Bridge Skin Density can be set above 100%
- Fixed tiny travel moves when monotonic ordering was enabled
- Fix crash when using 'Select face to align to the build plate', contributed by eliadevito
- Fixed a bug in fuzzy skin where sometimes it produced weird long overshoots, contributed by BagelOrb
- Fixed undo and redo for support blockers
- Fixed a bug where the Native CAD plugin wouldn't loading
- Fixed a bug where the camera view toggle was not visible
- Fixed some German translations, contributed by Sekisback
- Fixed the link of the beta update message
- Fixed a crash due to extruder being out of range
- Fixed a bug where a disabled extruder was used
- Fixed a bug where the aborted state was not reflected correctly in Monitor view
- Fixed a bug in Pause at Height where it stops extruding
- Fixed a bug where support blockers were included in the bounding box after loading a project file
- Fixed a bug where grouped models become unslicable if the first extruder was disabled
- Fixed a bug in Tree Support where the Z Distance was too big
- Prevented QT plug-ins from being loaded from an insecure directory if an environment variable is set

* Printer definitions, profiles and materials:
- Add Eazao Zero printer definition, contributed by Hogan-Polaris
- Add XYZprinting printer definitions, contributed by heed818

[4.12.1]
* Bug fixes 
- Updated Shapely to version 1.8.0 which, among other things, fixes multiplying objects on MacOS Monterey 
- Fixed a bug in Lightning infill where the infill was printed multiple times under certain circumstances

[4.12.0]
For an overview of the new features in Cura 4.12, please watch our video (https://youtu.be/CjFRT6Txn3U).

* Lightning infill
The new lightning infill setting lets you to print high-quality top layers but is optimized to use less material and increase your production speed. Special thanks to rburema and BagelOrb!

* Improved top surface quality
We’ve tweaked the Monotonic setting and made adjustments throughout Ultimaker print profiles. This removes occasional scarring on models and improves top surface quality by default. 

* Improved horizontal print quality
Resulting in reduction of ringing, improving resolution and overall print quality.  

* App switcher
The new switcher provides a simpler way to navigate and use other Ultimaker applications, including Ultimaker Digital Factory, Ultimaker Marketplace, and Ultimaker 3D Printing Academy. Reporting bugs to Github is now just one click away, and it’s easier to find the application you need.

* Faster start-up
We've shaved 10 seconds from Ultimaker Cura's start-up time by optimizing profile data caching.

* Other new features:
- Moved the skip button to the left bottom on the sign in onboarding page and replaced with the sign in button and Create new account
- Add {material_type} and {material_name} as replacement patterns, contributed by fieldOfView
- Update file name after saving
- Make parking optional in all "methods" of Pause at Height, contributed by fieldOfView

* Bug fixes:
- Fixed a bug when combing goes through skin on Top Surface Skin Layers
- Fixed a bug in one-at-a-time mode to not wait for initial layer bed temperature if the temperature stays the same
- Fixed a bug where there was double infill and gap filling 
- Fixed a bug with monotonic ironing that causes fan speed jump to 255 for ironing pass
- Fixed an engine crash when using monotonic ordering with zigzag skin pattern
- Fixed missing commas in disallowed list for code injections, contributed by YuvalZilber
- Fixed various typos, contributed by luzpaz
- Fixed Filament Change Retract method
- Fixed extra microsegments inserted from Wall Overlap Computation
- Fixed inconsistent material name in the header and material selection dropdown
- Fixed scaling model down after scaling it up with tool handles
- Fixed single instance option when opening different files
- Fixed duplicating and multiplying support blockers
- Fixed a bug where a random 0 was added in end g-code
- Fixed a bug in Tree support in the global and per object settings
- Fixed a bug where special characters in configuration files caused a crash
- Fixed a bug where infill goes through skin
- Fixed a bug where ironing doesn't listen to combing mode
- Fixed a bug related to the translations in the monitor tab

* Printer definitions, profiles and materials:
- Added Creasee CS50S pro, Creasee Skywalker and Creasee Phoenix printer definitions, contributed by ivovk9
- Added Joyplace Cremaker M V1, M V2, S V1, contributed by hyu7000
- Added Hellbot printer definitions, contributed by DevelopmentHellbot
- Added Arjun Pro 300 printer definition, contributed by venkatkamesh
- Added AtomStack printer definitions, contributed by zhpt
- Added Weedo X40 printer definition, contributed by x40-Community
- Added 3DI D300 printer definition, contributed by v27jain
- Changed Crealiy Ender 5 Plus end g-code, contributed by mothnox
- Updated definitions and extruders of Hellbot Magna 2 230/300 dual, contributed by DevelopmentHellbot
- Updated Eryone Thinker printer profile, contributed by Eryone
- Updated FLSUN Super Racer profiles, contritubed by Guilouz
- Updated Mega S and X acceleration to firmware default, contributed by NilsRo

* Known bugs with Lighting infill:
- Connect infill polygons doesn't work
- Infill Wipe Distance applies to every polyline
- Infill mesh modifier density
- Infill Overlap doesn't work
- Infill before walls order doesn't respect the order when Lightning is enabled

[4.11.0]
For an overview of the new features in Cura 4.11, please watch our video (https://youtu.be/OcFkcDyO5DU).

* Monotonic ordering
The new Monotonic top/bottom order setting enables users to print parts with smoother top surfaces. This is especially useful for parts that need good aesthetics, such as visual prototypes. Or for parts that benefit from smooth surfaces, such as those that contact-sensitive components. 

* Complete UI refresh
Look around and you will notice that we have refreshed over 100 icons throughout Ultimaker Cura. The new icons are designed for clarity – resulting in a simpler and more informative slicing experience. Also, when scaling the Ultimaker Cura window, the UI will adapt, resulting in less visual clutter.

* Improved digital library integration
Collaborative workflows using the Digital Library are now simpler. Every user with a cloud-connected Ultimaker 3D printer can access stored projects. And we have added a “Search” function to make finding files easier.

* Save materials profiles to USB
Users can now save all third-party material profiles to USB. This feature is for Ultimaker S-line printers only and is especially useful for cloud-connected (or offline) printers.

* Notifications for beta and plugin releases
Users can now set notification preferences to alert them to new Ultimaker Cura beta and plug-in releases.

* Improve logging of errors in OAuth flow
When helping a user with log-in problems it is easier to see where the OAuth flow goes wrong.

* Search in the description in the settings visibility menu
When searching in the settings visibility menu you will also search in the description of the settings.

* Bug fixes:
- Fixed the setting visibility button to make it easier to click
- Inform the user that their webcam does not work because they are cloud connected
- Inform the user that their webcam does not work if the firewall is enabled
- Fixed a crash when pressing the slice button while context menu is opened 
- Support non-ASCII character in the Digital Library project name
- Fixed integer underflow if print is less than half the initial layer height
- Fixed a bug where infill mesh sometimes default to having walls or skin
- Fix builds with Python 3.8, contributed by StefanBruens
- Fix CC settings for PLA
- Fixed memory leak in Zeroconf 0.25
- Fixed connecting USB printing with detecting baud-rates, contributed by rrrlasse
- Fixed crash when Cura crashes on exit
- Fixed a bug where the infill goes through walls
- Fixed the version upgrade of preferences file
- Fixed missing icons in deprecated icons list, contributed by fieldOfView
- Fixed a crash in CuraEngine when the prime tower is placed in an invalid position
- Fixed a bug when user is unable to sign in on Linux if a Keyring backend is installed
- Fixed the rotation direction of the 90 degrees rotation arrows, contributed by fieldOfView

* Printer definitions, profiles and materials:
- Added SecKit SK-Tank, SK-Go printer definitions, contributed by SecKit
- Added MP Mini Delta 2 printer definition, contributed by PurpleHullPeas
- Added Kingroon K3P and K3PS printer definitions, contributed by NoTaMu
- Added Eryone PLA, PLA Wood, PLA Matte and PETG 1.75mm profiles, contributed by dapostol73
- Added BIQU BX printer definition, contributed by looxonline
- Added FLSun Super race printer definitions, contributed by thushan
- Added Atom 2.0 and Atom Plus printer definitions, contributed by lin-ycv
- Added PBR 3D Gen-I printer definition, contributed by pbr-research
- Added Creasee 3D printer definitions, contributed by ivovk9
- Updated Strateo3D profiles, contributed by ChronosTech
- Added Voron V0 printer definitions, contributed by jgehrig
- Updated Liquid profiles, contributed by alexgrigoras
- Added Farm 2 and Farm2CE printer definitions, contributed by saliery999
- Added GooFoo and Renkforce print definitions and GooFoo materials, contributed by goofoo3d

*From version 4.11 onwards - Ultimaker Cura is only supported on operating systems actively maintained by their software manufacturer or community. This means Windows 7 and MacOS 10.13 will no longer be supported. Technically this means Ultimaker will stop testing and developing for such operating systems. However, even though it is no longer supported, there is still a high likelihood the application keeps functioning.

[4.10]

The release notes of versions <= 4.10 can be found in our releases GitHub page (https://github.com/Ultimaker/Cura/releases?page=2).